# Common class for Glance installation
# Private, and should not be used on its own
# The purpose is to have basic Glance auth configuration options
# set so that services like Tempest can access credentials
# on the controller
class openstack::common::glance {
  $bind_host = $::openstack::config::bind_host
  class { '::glance::api':
    bind_host           => $bind_host,
    keystone_password   => $::openstack::config::glance_password,
    auth_host           => $::openstack::config::controller_address_management,
    keystone_tenant     => 'services',
    keystone_user       => 'glance',
    database_connection => $::openstack::resources::connectors::glance,
    registry_host       => $::openstack::config::storage_address_management,
    verbose             => $::openstack::config::verbose,
    debug               => $::openstack::config::debug,
    enabled             => $::openstack::profile::base::is_storage,
    mysql_module        => '2.2',
    os_region_name      => $::openstack::region,
  }
}
