class openstack::common::keystone {
  $connection = $::openstack::resources::connectors::keystone
  $bind_host = $::openstack::config::bind_host
  class { '::keystone':
    admin_token         => $::openstack::config::keystone_admin_token,
    database_connection => $connection,
    verbose             => $::openstack::config::verbose,
    debug               => $::openstack::config::debug,
    enabled             => $::openstack::profile::base::is_controller,
    admin_bind_host     => $bind_host,
    public_bind_host    => $bind_host,
    mysql_module        => '2.2',
    service_name        => 'httpd',
    token_driver        => 'keystone.token.persistence.backends.sql.Token',
    memcache_servers     => $::openstack::config::memcache_servers,
  }~> exec{'keystone db sync':
    command  => 'keystone-manage db_sync',
    path     => '/usr/bin',
  }

  class { '::keystone::roles::admin':
    email        => $::openstack::config::keystone_admin_email,
    password     => $::openstack::config::keystone_admin_password,
    admin_tenant => 'admin',
  }
}
