# The profile for installing the Cinder API
class openstack::profile::cinder::api {

  $bind_host = $::openstack::config::bind_host
  openstack::resources::controller { 'cinder': }
  openstack::resources::database { 'cinder': }
  openstack::resources::firewall { 'Cinder API': port => '8776', }

  class { '::cinder::keystone::auth':
    password         => $::openstack::config::cinder_password,
    public_url   => "http://${::openstack::config::controller_address_api}:8776/v2/%(tenant_id)s",
    admin_url    => "http://${::openstack::config::controller_address_management}:8776/v2/%(tenant_id)s",
    internal_url => "http://${::openstack::config::controller_address_management}:8776/v2/%(tenant_id)s",
    public_url_v2   => "http://${::openstack::config::controller_address_api}:8776/v2/%(tenant_id)s",
    admin_url_v2    => "http://${::openstack::config::controller_address_management}:8776/v2/%(tenant_id)s",
    internal_url_v2 => "http://${::openstack::config::controller_address_management}:8776/v2/%(tenant_id)s",
    region           => $::openstack::config::region,
  }

  include ::openstack::common::cinder

  class { '::cinder::api':
    bind_host       => $bind_host,
    keystone_password  => $::openstack::config::cinder_password,
    keystone_auth_host => $::openstack::config::controller_address_management,
    enabled            => true,
  }

  class { '::cinder::scheduler':
    scheduler_driver => 'cinder.scheduler.simple.SimpleScheduler',
    enabled          => true,
  }
}
