class openstack::profile::galeracluster{

  $servers = $::openstack::config::controller_cluster_hosts_ip
  $galera_master = $::openstack::config::galera_master
  $root_password = $::openstack::config::mysql_root_password
  $status_password = $::openstack::config::mysql_service_password
  $mysql_port = 3306
  
  $bind_address = '0.0.0.0'
  $vendor = 'mariadb'
  
  $galera_package_name_internal = 'galera-3'
  $apt_mariadb_repo_key = '0xcbcb082a1bb943db'
  $apt_mariadb_repo_key_server = 'hkp://keyserver.ubuntu.com:80'
  
  exec{'add-galera-key':
   command => "apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 0xcbcb082a1bb943db",
   path => '/usr/bin',
  }  

  class { 'galera':
    galera_servers => $servers,
 
    galera_master  => $galera_master,
    vendor_type => $vendor,
    root_password => $root_password,
    status_password => $status_password,

    mysql_port => 3306,
    wsrep_state_transfer_port => 4444,
    wsrep_inc_state_transfer_port => 4568,

    wsrep_group_comm_port => 4567,

    override_options => {
        'mysqld' => {
            'bind_address' => $ipaddress_eth0,
        }
    }
    require => Exec['add-galera-key'],
  }
}
