# The profile to install the Keystone service
class openstack::profile::keystone {

  $bind_host = $::openstack::config::bind_host
  openstack::resources::controller { 'keystone': }
  openstack::resources::database { 'keystone': }
  openstack::resources::firewall { 'Keystone API': port => '5000', }
  openstack::resources::firewall { 'Keystone ADMIN API': port => '35357', }
  openstack::resources::firewall { 'mysql temp': port => '3306', }

  include ::openstack::common::keystone
  class{ '::apache':
     ip  => $bind_host,
  }
  class { '::keystone::wsgi::apache':
    ssl     => false,
    workers => 2,
    bind_host => $bind_host,
  }

  class { 'keystone::endpoint':
    public_url   => "http://${::openstack::config::controller_address_api}:5000",
    admin_url    => "http://${::openstack::config::controller_address_management}:35357",
    internal_url => "http://${::openstack::config::controller_address_management}:5000",
    region           => $::openstack::config::region,
    default_domain => 'admin',
  }

#  class { '::keystone::roles::admin':
#    email        => $::openstack::config::keystone_admin_email,
#    password     => $::openstack::config::keystone_admin_password,
#    admin_tenant => 'admin',
#  }


  $tenants = $::openstack::config::keystone_tenants
  $users   = $::openstack::config::keystone_users
  create_resources('openstack::resources::tenant', $tenants)
  create_resources('openstack::resources::user', $users)
}
