# The profile to set up the Nova controller (several services)
class openstack::profile::nova::api {
  openstack::resources::controller { 'nova': }
  openstack::resources::database { 'nova': }
  openstack::resources::firewall { 'Nova API': port => '8774', }
  openstack::resources::firewall { 'Nova Metadata': port => '8775', }
  openstack::resources::firewall { 'Nova EC2': port => '8773', }
  openstack::resources::firewall { 'Nova S3': port => '3333', }
  openstack::resources::firewall { 'Nova novnc': port => '6080', }

#  class { '::openstack::common::nova':
#      is_controller   => true,
#  }~>
  class { '::nova::keystone::auth':
    password         => $::openstack::config::nova_password,
    public_url   => "http://${::openstack::config::controller_address_api}:8774/v2/%(tenant_id)s",
    admin_url    => "http://${::openstack::config::controller_address_management}:8774/v2/%(tenant_id)s",
    internal_url => "http://${::openstack::config::controller_address_management}:8774/v2/%(tenant_id)s",
    region           => $::openstack::config::region,
    public_url_v3   => "http://${::openstack::config::controller_address_api}:8774/v3",
    admin_url_v3    => "http://${::openstack::config::controller_address_management}:8774/v3",
    internal_url_v3 => "http://${::openstack::config::controller_address_management}:8774/v3",
  }
}
