# The puppet module to set up a Nova Compute node
class openstack::profile::nova::compute {
  #$management_network = $::openstack::config::network_management
  $management_network = $ipaddress_eth0

  class { 'openstack::common::nova':
    is_compute => true,
  }

  class { '::nova::compute::libvirt':
    libvirt_virt_type => $::openstack::config::nova_libvirt_type,
    vncserver_listen  => $management_network,
  }

  class { 'nova::migration::libvirt':
  }

  file { '/etc/libvirt/qemu.conf':
    ensure => present,
    source => 'puppet:///modules/openstack/qemu.conf',
    owner  => 'root',
    group  => 'root',
    mode   => '0644',
    notify => Service['libvirt'],
  }
  
  file{'/etc/nova/nova-compute.conf':
    ensure  => absent,
  }

  Package['libvirt'] -> File['/etc/libvirt/qemu.conf']
}
